textures/cf/longflag
{
     qer_editorimage textures/cf/longflag.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 2 0 .2
     deformVertexes wave 50 sin 0 2 0 .5
     
        {
            map textures/cf/longflag.tga
            alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/cf/fence-grate
{
	qer_editorimage textures/cf/fence-grate.tga
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	nopicmip
 {
	map textures/cf/fence-grate.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
 }
  {
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
  }
}





textures/cf/mythsmoke
	{
	qer_editorimage textures/cf/smoke01.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		animMap 8 textures/cf/smoke01.tga textures/cf/smoke02.tga textures/cf/smoke03.tga textures/cf/smoke04.tga textures/cf/smoke05.tga textures/cf/smoke06.tga textures/cf/smoke07.tga textures/cf/smoke08.tga
		blendFunc GL_ONE GL_ONE

	}

//	{
//		map textures/cf-centremoke01.tga
//		blendFunc GL_ONE GL_ONE
//		rgbGen wave sin .6 .2 0 .6	
//	}

}



textures/cf/beam
	{
        qer_editorimage textures/cf/beam.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	{
		map textures/cf/beam.tga
		tcMod Scroll .3 0
                blendFunc add
        }

	{
		map textures/cf/beam-map.tga
		blendfunc add
		tcmod scale .05 .05
		tcmod scroll .005 -.005
		rgbgen identity
	}
     
}
	



textures/cf/mythfog

{
	qer_editorimage textures/cf/fogmap.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
//	q3map_surfacelight 100
	fogparms ( 0.9 .05 .05 ) 500

	
	{
		map textures/cf/fogmap.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/cf/fogmap.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}



textures/cf/tri-flag

{
     qer_editorimage textures/cf/tri-flag.tga 
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 200 sin 0 5 0 3
     deformVertexes wave 200 sin 0 5 0 1
     
        {
            map textures/cf/tri-flag.tga 
            alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


textures/cf/flag
{
     qer_editorimage textures/cf/flag.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
            map textures/cf/flag.tga
            alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


textures/cf/floor-grate
{
	qer_editorimage textures/cf/floor-grate.tga
	surfaceparm metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	nopicmip
 {
	map textures/cf/floor-grate.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
 }
  {
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
  }
}

textures/cf/window-decal

{ 
	qer_editorimage textures/cf/window-decal.tga
	surfaceparm nolightmap 
	surfaceparm nomarks 
	surfaceparm trans 
	cull disable 
	polygonOffset
	qer_trans 0.6
	{ 
		map textures/cf/window-decal.tga
		blendfunc add
		rgbGen identity 
	} 
}